Bug 1628390 - munin-node requires perl-Getopt-Long but package does not require it
Summary: munin-node requires perl-Getopt-Long but package does not require it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: munin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kim B. Heino
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-12 21:49 UTC by Peter "Pessoft" Kolínek
Modified: 2018-10-03 14:27 UTC (History)
4 users (show)

Fixed In Version: munin-2.0.40-4.fc28 munin-2.0.40-4.fc29 munin-2.0.40-4.el6 munin-2.0.40-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-27 17:28:29 UTC


Attachments (Terms of Use)

Description Peter "Pessoft" Kolínek 2018-09-12 21:49:13 UTC
Description of problem:
When munin-node package is installed on system without perl-Getopt-Long, start of the munin-node fails with error message:
Can't locate Getopt/Long.pm in @INC (you may need to install the Getopt::Long module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/sbin/munin-node line 30.
BEGIN failed--compilation aborted at /usr/sbin/munin-node line 30.

After installation of perl-Getopt-Long package, munin-node starts without error. Probably munin-node needs additional requirement in spec file:
Requires:       perl(Getopt::Long)

Version-Release number of selected component (if applicable): munin-node-2.0.40-2.fc30.noarch

How reproducible:

Steps to Reproduce:
1. Start empty Fedora Rawhide in docker
2. Install munin-node package
3. Start munin-node

Actual results:
Can't locate Getopt/Long.pm in @INC

Expected results:
No error

Additional info:
I've detected the issue also on F28, so probably all releases are affected.

Comment 1 Fedora Update System 2018-09-14 17:57:21 UTC
munin-2.0.40-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e659d29153

Comment 2 Fedora Update System 2018-09-14 17:57:26 UTC
munin-2.0.40-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3ed1b03a09

Comment 3 Fedora Update System 2018-09-14 17:57:33 UTC
munin-2.0.40-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-46833d9638

Comment 4 Fedora Update System 2018-09-14 17:57:49 UTC
munin-2.0.40-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b76615c674

Comment 5 Kim B. Heino 2018-09-14 17:59:12 UTC
Thanks for reporting this. Actually it was much worse, all auto-generated perl dependencies were missing on Fedora builds.

Comment 6 Fedora Update System 2018-09-14 20:02:41 UTC
munin-2.0.40-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-46833d9638

Comment 7 Fedora Update System 2018-09-14 22:41:25 UTC
munin-2.0.40-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e659d29153

Comment 8 Fedora Update System 2018-09-14 23:15:44 UTC
munin-2.0.40-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b76615c674

Comment 9 Fedora Update System 2018-09-14 23:49:28 UTC
munin-2.0.40-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3ed1b03a09

Comment 10 Fedora Update System 2018-09-17 10:55:05 UTC
munin-2.0.40-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-673f52b139

Comment 11 Fedora Update System 2018-09-17 10:55:22 UTC
munin-2.0.40-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6455129fce

Comment 12 Fedora Update System 2018-09-17 10:55:37 UTC
munin-2.0.40-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39b27a8592

Comment 13 Fedora Update System 2018-09-17 10:55:52 UTC
munin-2.0.40-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bf0c049faf

Comment 14 Fedora Update System 2018-09-17 18:50:55 UTC
munin-2.0.40-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-673f52b139

Comment 15 Fedora Update System 2018-09-17 19:11:38 UTC
munin-2.0.40-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bf0c049faf

Comment 16 Fedora Update System 2018-09-17 19:24:31 UTC
munin-2.0.40-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6455129fce

Comment 17 Fedora Update System 2018-09-18 06:16:44 UTC
munin-2.0.40-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-39b27a8592

Comment 18 Fedora Update System 2018-09-27 17:28:29 UTC
munin-2.0.40-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-09-27 18:00:54 UTC
munin-2.0.40-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-10-03 13:47:14 UTC
munin-2.0.40-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-10-03 14:27:13 UTC
munin-2.0.40-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.